import request from '@/utils/request'

// 同步销售订单
export function syncSaleOrder() {
  return request({
    url: '/erp/saleOrder',
    method: 'get'
  })
}

// 获取今日质检单总数
export function getInspectBillToDay() {
  return request({
    url: '/erpInspectBill/getByInspectBillToDay',
    method: 'get'
  })
}

// 统计一周内的生产工单排产、已完成数量
export function getProductionOrdersToWeek() {
  return request({
    url: '/erpProductionOrders/getProductionOrdersToWeek',
    method: 'get'
  })
}

// 统计工单数量，分别统计排产、已完成的数量
export function getCountProductionOrders() {
  return request({
    url: '/erpProductionOrders/getCountProductionOrders',
    method: 'get'
  })
}

// 统计今年的销售出库总量和生产报工总量以及采购入库单总量
export function getStatistics() {
  return request({
    url: '/prdInstockMain/statistics',
    method: 'get'
  })
}

// 统计今年各月份的销售出库总量和生产报工总量
export function getCountBySalOutAndPrdIn() {
  return request({
    url: '/prdInstockMain/getCountBySalOutAndPrdIn',
    method: 'get'
  })
}

// 一周内的报工重量
export function getWeightToWeek() {
  return request({
    url: '/prdInstockMain/getWeightToWeek',
    method: 'get'
  })
}


